Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/customobjects/getapi-v-1-custom-objects

# List custom objects

GET `https://{tenant}.atomicwork.com/api/v1/custom-objects`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Query Parameters

#### object\_type\_id (query, integer, required)

#### search\_key (query, string)

Optional search string to filter custom objects by display ID

#### page (query, integer)

#### page\_size (query, integer)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/custom-objects' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/custom-objects', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/custom-objects',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
